%% Matlab 1 / Tehtv 5
% mat1_teht5.m ( <- ihan mik tahansa tiedostonimi
%                   KUNHAN alkaa kirjaimella ja
%                          pttyy .m  )
% Kompleksilukuarvoisen funktion laskeminen
%
% $$H(\omega) = 2 - e^{-j \omega}$$
%

%% (a) Lasketaan arvot
w   = [0 : pi/256 : pi]';   % reaaliarvoinen w
H   = 2 - exp(-j * w);    % kompleksiarvoinen H
%% (b) Piirretn (x,y) pisteet kompleksitasoon
figure(1); clf;           % avataan/aktivoidaan ikkuna No 1
x   = real(H);
y   = imag(H);
plot(x, y);
xlabel('x'); ylabel('y');
title('H kompleksitasossa');
grid on;
%% (c) Lasketaan ja piirretn itseisarvo
figure(2); clf;
r   = abs(H);
plot(w, r);
xlabel('\omega'); ylabel('|H(e^{j \omega})|');
title('Itseisarvo |H|');
grid on;
%% (d) Lasketaan ja piirretn kulma
figure(3); clf;
theta  = angle(H);
plot(w, theta);
xlabel('\omega'); ylabel('\angle H(e^{j \omega})');
title('Kulma H');
grid on;
%% Tulostetaan arvot nytlle
disp(['     w      x      y      |H|    <H    ']);
disp([w  x   y r  theta]);



